/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * This file is part of SableCC.                             *
 * See the file "LICENSE" for copyright information and the  *
 * terms and conditions for copying, distribution and        *
 * modification of SableCC.                                  *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

package org.sablecc.sablecc;

import org.sablecc.sablecc.node.*;
import java.util.Set;

@SuppressWarnings("serial")
public class ConflictException extends Exception
{
  private Set<String> conflictualProductions;

  public ConflictException(Set<String> conflictualProductions, String message)
  {
    super(message);
    this.conflictualProductions = conflictualProductions;
  }

  public Set<String> getConflictualProductions()
  {
    return conflictualProductions;
  }
}
